#!/bin/csh -f

# Lookup subjects by their key and print some or all of their predicates.
#
# Usage: fbt-lookup -q <subject-id(s)> [-p <print-mode>] [-v]
#
# See README for documentation and examples.


set SCRIPT=`basename $0`
set FBT_HOME=`dirname $0`
set FBT_HOME=`readlink -f $FBT_HOME`
set JAVA=java

set INDEX=$FBT_HOME/data/basekb-gold-jan-2015.shrink.sort.index

#echo $JAVA -cp "$FBT_HOME":"$FBT_HOME"/bin:"$FBT_HOME/lib/*" edu.isi.kres.FreebaseTools -I $INDEX -c lookup $argv:q
$JAVA -cp "$FBT_HOME":"$FBT_HOME"/bin:"$FBT_HOME/lib/*" edu.isi.kres.FreebaseTools -I $INDEX -c lookup $argv:q
